logtrans                package:MASS                R Documentation

Estimate log Transformation Parameter

Description:

     Find and optionally plot the marginal likelihood for alpha for a
     transformation model of the form 'log(y + alpha) ~ x1 + x2 + ...'.

Usage:

     logtrans(object, ...)

     ## Default S3 method:
     logtrans(object, ..., alpha = seq(0.5, 6, by = 0.25) - min(y),
              plotit = TRUE, interp =, xlab = "alpha", ylab = "log Likelihood")

     ## S3 method for class 'formula':
     logtrans(object, data = NULL, ...)

     ## S3 method for class 'lm':
     logtrans(object, ...)

Arguments:

  object: Fitted linear model object, or formula defining the
          untransformed model that is 'y ~ x1 + x2 + ...'.  The
          function is generic. 

     ...: If 'object' is a formula, this argument may specify a data
          frame as for 'lm'. 

   alpha: Set of values for the transformation parameter, alpha. 

  plotit: Should plotting be done? 

  interp: Should the marginal log-likelihood be interpolated with a
          spline approximation?   (Default is 'TRUE' if plotting is to
          be done and the number of real points is less than 100.) 

    xlab: as for 'plot'. 

    ylab: as for 'plot'. 

    data: 'data' argument for 'lm' fit. 

Value:

     List with components 'x' (for alpha) and 'y' (for the marginal
     log-likelihood values).

Side Effects:

     A plot of the marginal log-likelihood is produced, if requested,
     together with an approximate mle and 95% confidence interval.

References:

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'boxcox'

Examples:

     logtrans(Days ~ Age*Sex*Eth*Lrn, data = quine,
              alpha = seq(0.75, 6.5, len=20))

